rem @echo off
setlocal EnableDelayedExpansion
set zipname=dukeupscale.zip

REM Check for existence of ZIP file

if not exist !zipname! (
echo !zipname! missing. Place it in the same folder as this file
pause
goto :eof
)

REM Determine if user is using Raze

if exist raze.exe goto :razemenu


echo 1. Classic episodes/Duke it out in DC
echo 2. Duke Carribean: Life's a Beach
echo 3. Nuclear Winter
if not exist wtupscale.zip goto nowt
echo 4. World Tour
choice /n /c:1234
goto rc

:razemenu

echo 1. Classic episodes
echo 2. Duke it out in DC
echo 3. Duke Carribean: Life's a Beach
echo 4. Nuclear Winter
if not exist wtupscale.zip goto razenowt
echo 5. World Tour
choice /n /c:12345
goto rcraze

:razenowt
choice /n /c:1234

:rcraze
if errorlevel==1 (set grpfile=duke3d.grp)
if errorlevel==2 (set grpfile=dukedc.grp)
if errorlevel==3 (set defname=-mh vacaupscale.def
set grpfile=vacation.grp)
if errorlevel==4 (set defname=-mh nwupscale.def
set grpfile=nwinter.grp -x nwinter.con)
if errorlevel==5 goto razewt


start raze.exe -iwad !grpfile! -file !zipname! -mh dukeupscale.def !defname!
goto :eof

:razewt
start raze.exe -file !zipname! -file wtupscale.zip -mh dukeupscale.def -mh wtupscale.def
goto :eof


:nowt
choice /n /c:123

:rc
if errorlevel==2 (set defname=-mh vacaupscale.def
set grpfile=vacation.grp)
if errorlevel==3 (set defname=-mh nwupscale.def
set grpfile=nwinter.grp -x nwinter.con)
if errorlevel==4 (set defname=-mh wtupscale.def
set grpfile=wtupscale.zip)


if exist eduke32.exe (
if "!grpfile!"=="" start eduke32.exe -g !zipname! -mh dukeupscale.def
if not "!grpfile!"=="" start eduke32.exe -g !grpfile! -g !zipname! -mh dukeupscale.def !defname!
) else if exist rednukem.exe (
if "!grpfile!"=="" start rednukem.exe -g !zipname! -mh -mh dukeupscale.def
if not "!grpfile!"=="" start rednukem.exe -g !grpfile! -g !zipname! -mh dukeupscale.def !defname!
) else (
echo No source port found
pause
)